# Current algorithms in FractionalDiffEq.jl

```@contents
Pages = ["algorithms.md"]
```

## Fractional Ordinary Differential Equations

```@docs
FractionalDiffEq.PECE
FractionalDiffEq.FODEMatrixDiscrete
FractionalDiffEq.ClosedForm
FractionalDiffEq.ClosedFormHankelM
FractionalDiffEq.ClosedFormHighPercision
FractionalDiffEq.G2Direct
```

## Fractional Partial Differential Equations

```@docs
FractionalDiffEq.FPDEMatrixDiscrete
FractionalDiffEq.FiniteDiffEx
FractionalDiffEq.FiniteDiffIm
```

## Fractional Delay Differential Equatinos

```@docs
FractionalDiffEq.DelayPECE
FractionalDiffEq.DelayPI
FractionalDiffEq.MatrixForm
FractionalDiffEq.DelayABM
```

## Systems of Fractional Differential Equations

```@docs
FractionalDiffEq.NonLinearAlg
FractionalDiffEq.GLWithMemory
FractionalDiffEq.ModifiedTrap
```

## Distributed Order Differential Equations

```@docs
FractionalDiffEq.DOMatrixDiscrete
```

## Fractional Differences Equations

```@docs
FractionalDiffEq.PECEDifference
```